Skip to main content
GET
/
v0
/
business
/
{business_id}
/
invoice
List all Invoices
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "business_id": "<string>",
      "number": "<string>",
      "description": "<string>",
      "total_amount": 123,
      "source": "manual",
      "due_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "status": "open",
      "id": "<string>",
      "customer_id": "<string>",
      "total_paid": 0,
      "voided_at": "2023-11-07T05:31:56Z",
      "credit_amount": 50,
      "metadata_": {},
      "lines": [
        {
          "description": "<string>",
          "ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
          "amount": 123,
          "id": "<string>",
          "invoice_id": "<string>",
          "metadata_": {}
        }
      ],
      "payments": [
        {
          "invoice_id": "<string>",
          "transaction_id": "<string>",
          "payment_id": "<string>",
          "datetime": "2023-11-07T05:31:56Z",
          "payment_amount": 123,
          "id": "<string>",
          "invoice": "<unknown>"
        }
      ]
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Query Parameters

due_at_start
string<date-time> | null

Include invoices due after this period (inclusive) in ISO-8601 format

due_at_end
string<date-time> | null

Include invoices due before this period (inclusive) in ISO-8601 format

status

Filter invoices by one or more statuses, comma-separated

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
InvoicePublic · object[]
required
pagination
PaginationResponse · object
required